# $Revision: 1.42 $, $Date: 2010/09/30 20:03:55 $
%define		hordeapp mnemo
#
%include	/usr/lib/rpm/macros.php
Summary:	Horde notes and memos application
Summary(pl.UTF-8):	Aplikacja z notatkami i przypominajkami dla Horde
Name:		horde-%{hordeapp}
Version:	2.2.4
Release:	1
License:	GPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/mnemo/%{hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	dd5962bf7131649351d88b42770797cf
Source1:	%{hordeapp}.conf
Patch0:		%{hordeapp}-prefs.patch
URL:		http://www.horde.org/mnemo/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.0
Requires:	webapps
Obsoletes:	%{hordeapp}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(/usr/share/horde.*)' 'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Mnemo is the Horde notes and memos application. It lets users keep
free-text notes and other bits of information which doesn't fit as a
contact, a todo item, an event, etc. It is very similar in
functionality to the Palm Memo application.

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with Mnemo) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
Mnemo to aplikacja z notatkami i przypominajkami dla Horde. Pozwala
użytkownikom na przechowywanie notatek z dowolnym tekstem oraz innych
informacji, która nie pasuje do określenia kontakt, rzecz do
zrobienia, zdarzenie itp. Jest bardzo podobna w funkcjonalności do
aplikacji Palm Memo.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
General Public License. Więcej informacji (włącznie z pomocą dla
Mnemo) można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{hordeapp}-h3-%{version}
%patch0 -p1

rm */.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a js lib locale note notepads templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

if [ "$1" = 1 ]; then
%banner %{name} -e <<EOF
IMPORTANT:
If you are installing for the first time, You may need to
create the Mnemo database tables. To do so run:
zcat %{_docdir}/%{name}-%{version}/scripts/sql/%{hordeapp}.sql.gz | mysql horde
EOF
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/* scripts
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/js
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/note
%{_appdir}/notepads
%{_appdir}/templates
%{_appdir}/themes

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-mnemo.spec,v $
Revision 1.42  2010/09/30 20:03:55  glen
- autoup 2.2.4

Revision 1.41  2010/04/22 11:24:19  baggins
- 2.2.3

Revision 1.40  2008/10/10 17:00:56  baggins
- rel 1
- added new dirs to package
- noautoreq pear(/usr/share/horde.*)

Revision 1.39  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.38  2008/10/09 22:44:56  baggins
- use correct dir name in setup

Revision 1.37  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.36  2008/10/09 21:52:25  baggins
- up to 2.2.1
- removed unreadable tangle of macros and ugly hacks

Revision 1.35  2008-02-06 23:16:05  glen
- update to 2.2rc2, unify macros, drop old trigger

Revision 1.34  2008-01-13 10:03:22  qboosh
- restored pl encoding broken by paszczus

Revision 1.33  2008-01-09 17:07:01  paszczus
- updated to 2.2-rc1

Revision 1.32  2007-08-01 11:58:22  paszczus
- removed bogus chars

Revision 1.31  2007/08/01 11:41:07  paszczus
- rel 2

Revision 1.30  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.28  2006/11/04 13:39:30  paszczus
- updated to 2.1.1

Revision 1.27  2006/10/01 17:12:28  glen
- rel 2

Revision 1.26  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.25  2006/04/07 17:30:05  baggins
- release 1

Revision 1.24  2006/04/07 11:10:30  baggins
- cought missing file

Revision 1.23  2006/04/06 23:38:23  glen
- just rm to catch missing files

Revision 1.22  2006/04/06 22:24:27  baggins
- up to 2.1 final

Revision 1.21  2006/02/14 20:12:09  glen
- drop apache specific requires
- cosmetics

Revision 1.20  2006/02/14 19:59:48  glen
- unify (%verify attrs for webserver configs)

Revision 1.19  2006/02/14 16:05:08  glen
- 2.1-rc2

Revision 1.18  2006/02/02 15:14:49  glen
- update apache2 trigger to match apache-base in case somebody decides not to
  use apache2.2 virtual pkg (freedom of choice one of the pld mottos)

Revision 1.17  2006/01/08 20:28:27  glen
- use %service in triggers
- trigger also on old package name

Revision 1.16  2005/12/11 22:52:48  paszczus
- updated to 2.0.3 (security update)

Revision 1.15  2005/12/02 17:57:44  glen
- proper build macros

Revision 1.14  2005/12/02 16:07:59  glen
- rel 2

Revision 1.13  2005/11/30 22:32:13  glen
- simplify and unify

Revision 1.12  2005/11/30 21:21:19  glen
- unify

Revision 1.11  2005/11/30 12:50:45  glen
- conf.xml is not %config(noreplace) so it should not be rescued in trigger

Revision 1.10  2005/11/30 12:48:29  glen
- use webapps framework

Revision 1.9  2005/11/16 14:17:51  glen
- unified apache virtual requires

Revision 1.8  2005/10/13 20:03:55  paszczus
- updated to FINAL 2.0.2

Revision 1.7  2005/09/19 21:12:15  glen
- rel 1

Revision 1.6  2005/09/17 16:27:33  glen
- renamed horde application packages with horde- prefix

Revision 1.5  2005/09/17 15:21:50  glen
- unify

Revision 1.4  2005/09/17 11:27:21  glen
- use %{_hordeapp} macro, add forgotten apache config linkage

Revision 1.3  2005/09/04 10:19:48  glen
- added prefs patch

Revision 1.2  2005/08/02 22:21:49  qboosh
- pl, copy-pastos

Revision 1.1  2005/08/01 21:11:45  glen
- new
